# Get report by id and token

Endpoint: GET /report/{id}
Version: 20260701
Security: publicKey

## Path parameters:

  - `id` (integer, required)
    id returned by the POST

## Query parameters:

  - `token` (string, required)
    token returned by the POST

## Response 200 fields (application/json):

  - `id` (integer)
    id, used in GET requests

  - `address` (object)

  - `address.streetAndNo` (string, required)
    street and street number of the location

  - `address.addressExtra` (string)
    address extra of the location

  - `address.zip` (string)
    zip code of the location

  - `address.city` (string)
    city of the location

  - `address.country` (string)
    country in two letter code

  - `address.province` (string)
    province of the location

  - `address.lat` (number)
    latitude

  - `address.lng` (number)
    longitude

  - `categoryId` (integer)
    Uberall category id

  - `token` (string)
    randomly created token, used in GET requests

  - `alreadyManagedId` (integer)
    id of already managed Uberall location

  - `name` (string)
    location name

  - `website` (string)
    location website

  - `phone` (string)
    location phone

  - `dateCreated` (string)
    date created

  - `locationAccuracy` (object)

  - `locationAccuracy.googleRating` (number)
    rating taken from google

  - `locationAccuracy.locationAccuracyStatus` (string)
    Enum: "IN_PROGRESS", "FINISHED", "FAILED"

  - `listingsDetails` (object)

  - `listingsDetails.listingsData` (array)

  - `listingsDetails.listingsData.listingUrl` (string)
    url of online listing

  - `listingsDetails.listingsData.syncStatus` (string)
    Enum: "IN_SYNC", "NOT_IN_SYNC", "NOT_FOUND", "TECHNICAL_PROBLEMS", "NOT_SUPPORTED", "NO_ONLINE_LISTING", "UNKNOWN"

  - `listingsDetails.listingsData.directoryType` (string)
    directory of the online listing

  - `listingsDetails.listingsData.name` (string)
    Name of online listing

  - `listingsDetails.listingsData.nameStatus` (string, required)
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE", "TO_BE_CHECKED", "TECHNICAL_PROBLEMS"

  - `listingsDetails.listingsData.phone` (string)
    Phone number of online listing

  - `listingsDetails.listingsData.phoneStatus` (string, required)
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE", "TO_BE_CHECKED", "TECHNICAL_PROBLEMS"

  - `listingsDetails.listingsData.website` (string)
    Website of online listing

  - `listingsDetails.listingsData.websiteStatus` (string, required)
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE", "TO_BE_CHECKED", "TECHNICAL_PROBLEMS"

  - `listingsDetails.listingsData.address` (object, required)

  - `listingsDetails.listingsData.address.streetAndNo` (string, required)
    street and street number of the location

  - `listingsDetails.listingsData.address.addressExtra` (string)
    address extra of the location

  - `listingsDetails.listingsData.address.zip` (string)
    zip code of the location

  - `listingsDetails.listingsData.address.city` (string)
    city of the location

  - `listingsDetails.listingsData.address.country` (string)
    country in two letter code

  - `listingsDetails.listingsData.address.province` (string)
    province of the location

  - `listingsDetails.listingsData.address.lat` (number)
    latitude

  - `listingsDetails.listingsData.address.lng` (number)
    longitude

  - `listingsDetails.listingsData.addressStatus` (string, required)
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE", "TO_BE_CHECKED", "TECHNICAL_PROBLEMS"

  - `listingsDetails.listingsData.openingHoursStatus` (string, required)
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE", "TO_BE_CHECKED", "TECHNICAL_PROBLEMS"

  - `listingsDetails.listingsData.photosStatus` (string, required)
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE", "TO_BE_CHECKED", "TECHNICAL_PROBLEMS"

  - `listingsDetails.listingsData.rating` (number)
    Rating of online listing

  - `listingsDetails.listingsData.ratingIndustry` (number)
    Rating of online listing

  - `listingsDetails.listingsData.numberOfRatings` (integer)
    Number of ratings of online listing

  - `listingsDetails.listingsData.numberOfRatingsIndustry` (integer)
    Number of ratings of online listing

  - `listingsDetails.listingsDetailsStatus` (object)

  - `benchmarkGeography` (string)
    the chosen geography for benchmark (ex. zip, city, province)

  - `benchmarkCategory` (integer)
    the chosen category for benchmark

  - `uncheckedDirectories` (array)
    list of unchecked directories

